org.apache.fop.afp.modca.triplets

## Class PresentationSpaceResetMixingTriplet

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.triplets.AbstractTriplet
    - - org.apache.fop.afp.modca.triplets.PresentationSpaceResetMixingTriplet

- All Implemented Interfaces:
    Triplet, Streamable, StructuredData

      public class PresentationSpaceResetMixingTriplet
      extends AbstractTriplet

  This triplet is used to specify the resulting appearance when data in a new presentation space is merged with data in an existing presentation space.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `NOT_RESET` Do not reset to the color of the medium prior to placing data into this MO:DCA presentation space.
    `static byte` | `RESET` Reset to the color of the medium prior to placing data into this MO:DCA presentation space.

    - ### Fields inherited from class org.apache.fop.afp.modca.triplets.AbstractTriplet

      `id`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

    - ### Fields inherited from interface org.apache.fop.afp.modca.triplets.Triplet

      `AREA_DEFINITION, ATTRIBUTE_QUALIFIER, ATTRIBUTE_VALUE, CHARACTER_ROTATION, CMR_TAG_FIDELITY, CODED_GRAPHIC_CHARACTER_SET_GLOBAL_IDENTIFIER, COLOR_FIDELITY, COLOR_MANAGEMENT_RESOURCE_DESCRIPTOR, COLOR_SPECIFICATION, COMMENT, DATA_OBJECT_FONT_DESCRIPTOR, DESCRIPTOR_POSITION, DEVICE_APPEARANCE, ENCODING_SCHEME_ID, EXTENDED_RESOURCE_LOCAL_IDENTIFIER, FINISHING_FIDELITY, FINISHING_OPERATION, FONT_DESCRIPTOR_SPECIFICATION, FONT_FIDELITY, FONT_HORIZONTAL_SCALE_FACTOR, FONT_RESOLUTION_AND_METRIC_TECHNOLOGY, FULLY_QUALIFIED_NAME, LOCALE_SELECTOR, MAPPING_OPTION, MAX_LENGTH, MEASUREMENT_UNITS, MEDIA_EJECT_CONTROL, MEDIA_FIDELITY, MEDIUM_MAP_PAGE_NUMBER, MEDIUM_ORIENTATION, MODCA_INTERCHANGE_SET, OBJECT_AREA_SIZE, OBJECT_BYTE_EXTENT, OBJECT_BYTE_OFFSET, OBJECT_CLASSIFICATION, OBJECT_COUNT, OBJECT_DATE_AND_TIMESTAMP, OBJECT_FUNCTION_SET_SPECIFICATION, OBJECT_OFFSET, OBJECT_STRUCTURED_FIELD_EXTENT, OBJECT_STRUCTURED_FIELD_OFFSET, PAGE_OVERLAY_CONDITIONAL_PROCESSING, PAGE_POSITION_INFORMATION, PARAMETER_VALUE, PRESENTATION_CONTROL, PRESENTATION_SPACE_MIXING_RULE, PRESENTATION_SPACE_RESET_MIXING, RENDERING_INTENT, RESOURCE_LOCAL_IDENTIFIER, RESOURCE_OBJECT_INCLUDE, RESOURCE_SECTION_NUMBER, RESOURCE_USAGE_ATTRIBUTE, TEXT_FIDELITY, TONER_SAVER, UNIVERSAL_DATE_AND_TIMESTAMP, UP3I_FINISHING_OPERATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PresentationSpaceResetMixingTriplet(byte backgroundMixFlag)` Main constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataLength()` Returns the data length of this structured field
    `void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.modca.triplets.AbstractTriplet

      `getData, getId`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_RESET

          public static final byte NOT_RESET

      Do not reset to the color of the medium prior to placing data into this MO:DCA presentation space.
      See Also:
        Constant Field Values

    - #### RESET

          public static final byte RESET

      Reset to the color of the medium prior to placing data into this MO:DCA presentation space.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PresentationSpaceResetMixingTriplet

          public PresentationSpaceResetMixingTriplet(byte backgroundMixFlag)

      Main constructor
      Parameters:
        `backgroundMixFlag` - the background mixing flag

  - ### Method Detail

    - #### getDataLength

          public int getDataLength()

      Returns the data length of this structured field
      Returns:
        the data length of this structured field

    - #### writeToStream

          public void writeToStream(java.io.OutputStream os)
                             throws java.io.IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `java.io.IOException` - an I/O exception of some sort has occurred.

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.